#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	os-prober
Version		:	1.77
Release		:	17.0.10.rel%{?dist}
Summary		:	Probes disks on the system for installed operating systems
Group		:	System Environment/Libraries

Packager	:	Jean-Marc Pigeon	<jmp@safe.ca>

License		:	GPLv2+
URL		:	http://www.osukiss.org

Source0		:	%{name}-%{version}.tar.xz

#-----------------------------------------------------------------------------
Requires	:	coreutils
Requires	:	util-linux
Requires	:	grep
Requires	:	sed
Requires	:	kmod
#-----------------------------------------------------------------------------
%description
This package detects other OSes available on a system and outputs the results
in a generic machine-readable format. Support for new OSes and Linux
distributions can be added easily. 

#-----------------------------------------------------------------------------
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

find -type f -exec sed -i -e 's|usr/lib|usr/libexec|g' {} \;

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
make %{_smp_mflags}

#-----------------------------------------------------------------------------
#installing program
%install

%{__rm} -rf %{buildroot}

install -m 0755 -d %{buildroot}%{_bindir}
install -m 0755 -d %{buildroot}%{_var}/lib/%{name}

install -m 0755 -p os-prober linux-boot-prober %{buildroot}%{_bindir}
install -m 0755 -Dp newns %{buildroot}%{_libexecdir}/%{name}/newns
install -m 0644 -Dp common.sh %{buildroot}%{_datadir}/%{name}/common.sh

%ifarch %{ix86} x86_64
ARCH=x86
%endif

for probes in						\
	os-probes					\
	os-probes/mounted				\
	os-probes/init					\
	linux-boot-probes				\
	linux-boot-probes/mounted;
  do
  install -m 755 -d %{buildroot}%{_libexecdir}/$probes 
  cp -a $probes/common/* %{buildroot}%{_libexecdir}/$probes
  if [ -e "$probes/$ARCH" ]; then 
    cp -a $probes/$ARCH/* %{buildroot}%{_libexecdir}/$probes 
    fi
  done
#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc README
%{_bindir}/%{name}
%{_bindir}/linux-boot-prober
%dir %{_var}/lib/%{name}
%{_libexecdir}/os-probes/50mounted-tests
%{_libexecdir}/os-probes/init/*
%{_libexecdir}/os-probes/mounted/*
%{_libexecdir}/linux-boot-probes/50mounted-tests
%{_libexecdir}/linux-boot-probes/mounted/*
%{_libexecdir}/%{name}/newns
%{_datadir}/%{name}/*.sh
#-----------------------------------------------------------------------------

%changelog
